package com.muchinfo.mtp3interface.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.muchinfo.mtp3pojos.entity.TradeHolderdetailex;
import com.muchinfo.mtp3pojos.vo.query.order.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 交易持仓扩展表 Mapper 接口
 * </p>
 *
 * @author XKF
 * @since 2024-10-15
 */
@Mapper
public interface ITradeHolderdetailexMapper extends BaseMapper<TradeHolderdetailex> {

    IPage<OrderQueryResult> query(IPage<OrderQueryResult> page, @Param("vo") OrderQueryParam param);

    List<OrderQueryResult> query(@Param("vo") OrderQueryParam param);

    IPage<TerOrderQueryResult> queryYJCloselList(IPage<TerOrderQueryResult> page, @Param("vo") TerOrderQueryParam param);

    List<TerOrderQueryResult> queryYJCloselList(@Param("vo") TerOrderQueryParam param);

    IPage<DeliveryOrderResult> queryDeliveryOfflinePage(IPage<DeliveryOrderResult> page, @Param("vo") DeliveryOrderParam param);

    List<DeliveryOrderResult> queryDeliveryOfflinePage(@Param("vo") DeliveryOrderParam param);

    IPage<OrderDateQueryResult> queryOrderDate(IPage<OrderDateQueryResult> page, @Param("vo") OrderDateQueryParam param);

    List<OrderDateQueryResult> queryOrderDate(@Param("vo") OrderDateQueryParam param);

    IPage<ForcedOrderResult> queryForcedOrder(IPage<ForcedOrderResult> page, @Param("vo") ForcedOrderParam param);

    List<ForcedOrderResult> queryForcedOrder(@Param("vo") ForcedOrderParam param);
}
